# Method Parser.RCS()->parse_admin_section()

Method parse_admin_section

  `array parse_admin_section(string|array raw)`

Description

  Lower-level API function for parsing only the admin section (the initial chunk of an RCS file, see manpage rcsfile(5)) of an RCS file. After running parse_admin_section, the RCS object will be initialized with the values for head, branch, access, branches, tokenize, tags, locks, strict_locks, comment and expand.

Parameter `raw`

  The tokenized RCS file, or the raw RCS-file data.

Returns

  The rest of the RCS file, admin section removed.

See also

  parse_delta_sections, parse_deltatext_sections, parse, create

FIXME

  Does not handle rcsfile(5) newphrase skipping.